diff --git a/guava/src/com/google/common/util/concurrent/AggregateFuture.java b/guava/src/com/google/common/util/concurrent/AggregateFuture.java
index a32e76c..1ebbc1b 100644
--- a/guava/src/com/google/common/util/concurrent/AggregateFuture.java
+++ b/guava/src/com/google/common/util/concurrent/AggregateFuture.java
@@ -20,19 +20,13 @@ import static com.google.common.util.concurrent.AggregateFuture.ReleaseResources
 import static com.google.common.util.concurrent.AggregateFuture.ReleaseResourcesReason.OUTPUT_FUTURE_DONE;
 import static com.google.common.util.concurrent.Futures.getDone;
 import static com.google.common.util.concurrent.MoreExecutors.directExecutor;
-import static java.util.Objects.requireNonNull;
 import static java.util.logging.Level.SEVERE;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableCollection;
-import com.google.errorprone.annotations.ForOverride;
-import com.google.errorprone.annotations.OverridingMethodsMustInvokeSuper;
 import java.util.Set;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Future;
 import java.util.logging.Logger;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A future whose value is derived from a collection of input futures.
@@ -40,9 +34,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @param <InputT> the type of the individual inputs
  * @param <OutputT> the type of the output (i.e. this) future
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-abstract class AggregateFuture<InputT extends @Nullable Object, OutputT extends @Nullable Object>
+abstract class AggregateFuture<InputT extends Object, OutputT extends Object>
     extends AggregateFutureState<OutputT> {
   private static final Logger logger = Logger.getLogger(AggregateFuture.class.getName());
 
@@ -318,8 +311,6 @@ abstract class AggregateFuture<InputT extends @Nullable Object, OutputT extends
    * description of CL 265462958.
    */
   // TODO(user): Write more tests for memory retention.
-  @ForOverride
-  @OverridingMethodsMustInvokeSuper
   void releaseResources(ReleaseResourcesReason reason) {
     checkNotNull(reason);
     /*
diff --git a/guava/src/com/google/common/util/concurrent/AggregateFutureState.java b/guava/src/com/google/common/util/concurrent/AggregateFutureState.java
index ee23ca0..dc4bdeb 100644
--- a/guava/src/com/google/common/util/concurrent/AggregateFutureState.java
+++ b/guava/src/com/google/common/util/concurrent/AggregateFutureState.java
@@ -15,19 +15,15 @@
 package com.google.common.util.concurrent;
 
 import static com.google.common.collect.Sets.newConcurrentHashSet;
-import static java.util.Objects.requireNonNull;
 import static java.util.concurrent.atomic.AtomicIntegerFieldUpdater.newUpdater;
 import static java.util.concurrent.atomic.AtomicReferenceFieldUpdater.newUpdater;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.j2objc.annotations.ReflectionSupport;
 import java.util.Set;
 import java.util.concurrent.atomic.AtomicIntegerFieldUpdater;
 import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
 import java.util.logging.Level;
 import java.util.logging.Logger;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A helper which does some thread-safe operations for aggregate futures, which must be implemented
@@ -38,10 +34,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  *   <li>Decrements a counter atomically
  * </ul>
  */
-@GwtCompatible(emulated = true)
-@ReflectionSupport(value = ReflectionSupport.Level.FULL)
 @ElementTypesAreNonnullByDefault
-abstract class AggregateFutureState<OutputT extends @Nullable Object>
+abstract class AggregateFutureState<OutputT extends Object>
     extends AbstractFuture.TrustedFuture<OutputT> {
   // Lazily initialized the first time we see an exception; not released until all the input futures
   // have completed and we have processed them all.
diff --git a/guava/src/com/google/common/util/concurrent/AsyncCallable.java b/guava/src/com/google/common/util/concurrent/AsyncCallable.java
index 826f3c2..3f257a0 100644
--- a/guava/src/com/google/common/util/concurrent/AsyncCallable.java
+++ b/guava/src/com/google/common/util/concurrent/AsyncCallable.java
@@ -14,10 +14,7 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import java.util.concurrent.Future;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Computes a value, possibly asynchronously. For an example usage and more information, see {@link
@@ -28,11 +25,9 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  *
  * @since 20.0
  */
-@Beta
 @FunctionalInterface
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface AsyncCallable<V extends @Nullable Object> {
+public interface AsyncCallable<V extends Object> {
   /**
    * Computes a result {@code Future}. The output {@code Future} need not be {@linkplain
    * Future#isDone done}, making {@code AsyncCallable} suitable for asynchronous derivations.
diff --git a/guava/src/com/google/common/util/concurrent/AsyncFunction.java b/guava/src/com/google/common/util/concurrent/AsyncFunction.java
index 3a19db4..37da9c6 100644
--- a/guava/src/com/google/common/util/concurrent/AsyncFunction.java
+++ b/guava/src/com/google/common/util/concurrent/AsyncFunction.java
@@ -14,9 +14,7 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.concurrent.Future;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Transforms a value, possibly asynchronously. For an example usage and more information, see
@@ -25,10 +23,9 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Chris Povirk
  * @since 11.0
  */
-@GwtCompatible
 @FunctionalInterface
 @ElementTypesAreNonnullByDefault
-public interface AsyncFunction<I extends @Nullable Object, O extends @Nullable Object> {
+public interface AsyncFunction<I extends Object, O extends Object> {
   /**
    * Returns an output {@code Future} to use in place of the given {@code input}. The output {@code
    * Future} need not be {@linkplain Future#isDone done}, making {@code AsyncFunction} suitable for
diff --git a/guava/src/com/google/common/util/concurrent/AtomicDouble.java b/guava/src/com/google/common/util/concurrent/AtomicDouble.java
index 81da695..f130be3 100644
--- a/guava/src/com/google/common/util/concurrent/AtomicDouble.java
+++ b/guava/src/com/google/common/util/concurrent/AtomicDouble.java
@@ -17,9 +17,6 @@ package com.google.common.util.concurrent;
 import static java.lang.Double.doubleToRawLongBits;
 import static java.lang.Double.longBitsToDouble;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.j2objc.annotations.ReflectionSupport;
 import java.util.concurrent.atomic.AtomicLongFieldUpdater;
 
 /**
@@ -51,8 +48,6 @@ import java.util.concurrent.atomic.AtomicLongFieldUpdater;
  * @author Martin Buchholz
  * @since 11.0
  */
-@GwtIncompatible
-@ReflectionSupport(value = ReflectionSupport.Level.FULL)
 @ElementTypesAreNonnullByDefault
 public class AtomicDouble extends Number implements java.io.Serializable {
   private static final long serialVersionUID = 0L;
@@ -153,7 +148,6 @@ public class AtomicDouble extends Number implements java.io.Serializable {
    * @param delta the value to add
    * @return the previous value
    */
-  @CanIgnoreReturnValue
   public final double getAndAdd(double delta) {
     while (true) {
       long current = value;
@@ -172,7 +166,6 @@ public class AtomicDouble extends Number implements java.io.Serializable {
    * @param delta the value to add
    * @return the updated value
    */
-  @CanIgnoreReturnValue
   public final double addAndGet(double delta) {
     while (true) {
       long current = value;
diff --git a/guava/src/com/google/common/util/concurrent/AtomicDoubleArray.java b/guava/src/com/google/common/util/concurrent/AtomicDoubleArray.java
index 58407f5..9b86f62 100644
--- a/guava/src/com/google/common/util/concurrent/AtomicDoubleArray.java
+++ b/guava/src/com/google/common/util/concurrent/AtomicDoubleArray.java
@@ -16,9 +16,6 @@ package com.google.common.util.concurrent;
 import static java.lang.Double.doubleToRawLongBits;
 import static java.lang.Double.longBitsToDouble;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.primitives.ImmutableLongArray;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.concurrent.atomic.AtomicLongArray;
 
 /**
@@ -43,7 +40,6 @@ import java.util.concurrent.atomic.AtomicLongArray;
  * @author Martin Buchholz
  * @since 11.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public class AtomicDoubleArray implements java.io.Serializable {
   private static final long serialVersionUID = 0L;
@@ -169,7 +165,6 @@ public class AtomicDoubleArray implements java.io.Serializable {
    * @param delta the value to add
    * @return the previous value
    */
-  @CanIgnoreReturnValue
   public final double getAndAdd(int i, double delta) {
     while (true) {
       long current = longs.get(i);
@@ -189,7 +184,6 @@ public class AtomicDoubleArray implements java.io.Serializable {
    * @param delta the value to add
    * @return the updated value
    */
-  @CanIgnoreReturnValue
   public double addAndGet(int i, double delta) {
     while (true) {
       long current = longs.get(i);
diff --git a/guava/src/com/google/common/util/concurrent/AtomicLongMap.java b/guava/src/com/google/common/util/concurrent/AtomicLongMap.java
index 456b3ac..9f8ec65 100644
--- a/guava/src/com/google/common/util/concurrent/AtomicLongMap.java
+++ b/guava/src/com/google/common/util/concurrent/AtomicLongMap.java
@@ -18,9 +18,6 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.Serializable;
 import java.util.Collections;
 import java.util.Map;
@@ -54,7 +51,6 @@ import javax.annotation.CheckForNull;
  * @author Charles Fry
  * @since 11.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class AtomicLongMap<K> implements Serializable {
   private final ConcurrentHashMap<K, Long> map;
@@ -86,7 +82,6 @@ public final class AtomicLongMap<K> implements Serializable {
   /**
    * Increments by one the value currently associated with {@code key}, and returns the new value.
    */
-  @CanIgnoreReturnValue
   public long incrementAndGet(K key) {
     return addAndGet(key, 1);
   }
@@ -94,7 +89,6 @@ public final class AtomicLongMap<K> implements Serializable {
   /**
    * Decrements by one the value currently associated with {@code key}, and returns the new value.
    */
-  @CanIgnoreReturnValue
   public long decrementAndGet(K key) {
     return addAndGet(key, -1);
   }
@@ -103,7 +97,6 @@ public final class AtomicLongMap<K> implements Serializable {
    * Adds {@code delta} to the value currently associated with {@code key}, and returns the new
    * value.
    */
-  @CanIgnoreReturnValue
   public long addAndGet(K key, long delta) {
     return accumulateAndGet(key, delta, Long::sum);
   }
@@ -111,7 +104,6 @@ public final class AtomicLongMap<K> implements Serializable {
   /**
    * Increments by one the value currently associated with {@code key}, and returns the old value.
    */
-  @CanIgnoreReturnValue
   public long getAndIncrement(K key) {
     return getAndAdd(key, 1);
   }
@@ -119,7 +111,6 @@ public final class AtomicLongMap<K> implements Serializable {
   /**
    * Decrements by one the value currently associated with {@code key}, and returns the old value.
    */
-  @CanIgnoreReturnValue
   public long getAndDecrement(K key) {
     return getAndAdd(key, -1);
   }
@@ -128,7 +119,6 @@ public final class AtomicLongMap<K> implements Serializable {
    * Adds {@code delta} to the value currently associated with {@code key}, and returns the old
    * value.
    */
-  @CanIgnoreReturnValue
   public long getAndAdd(K key, long delta) {
     return getAndAccumulate(key, delta, Long::sum);
   }
@@ -140,7 +130,6 @@ public final class AtomicLongMap<K> implements Serializable {
    *
    * @since 21.0
    */
-  @CanIgnoreReturnValue
   public long updateAndGet(K key, LongUnaryOperator updaterFunction) {
     checkNotNull(updaterFunction);
     return map.compute(
@@ -154,7 +143,6 @@ public final class AtomicLongMap<K> implements Serializable {
    *
    * @since 21.0
    */
-  @CanIgnoreReturnValue
   public long getAndUpdate(K key, LongUnaryOperator updaterFunction) {
     checkNotNull(updaterFunction);
     AtomicLong holder = new AtomicLong();
@@ -176,7 +164,6 @@ public final class AtomicLongMap<K> implements Serializable {
    *
    * @since 21.0
    */
-  @CanIgnoreReturnValue
   public long accumulateAndGet(K key, long x, LongBinaryOperator accumulatorFunction) {
     checkNotNull(accumulatorFunction);
     return updateAndGet(key, oldValue -> accumulatorFunction.applyAsLong(oldValue, x));
@@ -190,7 +177,6 @@ public final class AtomicLongMap<K> implements Serializable {
    *
    * @since 21.0
    */
-  @CanIgnoreReturnValue
   public long getAndAccumulate(K key, long x, LongBinaryOperator accumulatorFunction) {
     checkNotNull(accumulatorFunction);
     return getAndUpdate(key, oldValue -> accumulatorFunction.applyAsLong(oldValue, x));
@@ -200,7 +186,6 @@ public final class AtomicLongMap<K> implements Serializable {
    * Associates {@code newValue} with {@code key} in this map, and returns the value previously
    * associated with {@code key}, or zero if there was no such value.
    */
-  @CanIgnoreReturnValue
   public long put(K key, long newValue) {
     return getAndUpdate(key, x -> newValue);
   }
@@ -219,7 +204,6 @@ public final class AtomicLongMap<K> implements Serializable {
    * Removes and returns the value associated with {@code key}. If {@code key} is not in the map,
    * this method has no effect and returns zero.
    */
-  @CanIgnoreReturnValue
   public long remove(K key) {
     Long result = map.remove(key);
     return (result == null) ? 0L : result.longValue();
@@ -238,8 +222,6 @@ public final class AtomicLongMap<K> implements Serializable {
    *
    * @since 20.0
    */
-  @Beta
-  @CanIgnoreReturnValue
   public boolean removeIfZero(K key) {
     return remove(key, 0);
   }
diff --git a/guava/src/com/google/common/util/concurrent/Atomics.java b/guava/src/com/google/common/util/concurrent/Atomics.java
index c1b6964..4fde232 100644
--- a/guava/src/com/google/common/util/concurrent/Atomics.java
+++ b/guava/src/com/google/common/util/concurrent/Atomics.java
@@ -14,10 +14,8 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.concurrent.atomic.AtomicReference;
 import java.util.concurrent.atomic.AtomicReferenceArray;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Static utility methods pertaining to classes in the {@code java.util.concurrent.atomic} package.
@@ -25,7 +23,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kurt Alfred Kluever
  * @since 10.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class Atomics {
   private Atomics() {}
@@ -35,7 +32,7 @@ public final class Atomics {
    *
    * @return a new {@code AtomicReference} with no initial value
    */
-  public static <V> AtomicReference<@Nullable V> newReference() {
+  public static <V> AtomicReference<V> newReference() {
     return new AtomicReference<>();
   }
 
@@ -45,7 +42,7 @@ public final class Atomics {
    * @param initialValue the initial value
    * @return a new {@code AtomicReference} with the given initial value
    */
-  public static <V extends @Nullable Object> AtomicReference<V> newReference(
+  public static <V extends Object> AtomicReference<V> newReference(
       @ParametricNullness V initialValue) {
     return new AtomicReference<>(initialValue);
   }
@@ -56,7 +53,7 @@ public final class Atomics {
    * @param length the length of the array
    * @return a new {@code AtomicReferenceArray} with the given length
    */
-  public static <E> AtomicReferenceArray<@Nullable E> newReferenceArray(int length) {
+  public static <E> AtomicReferenceArray<E> newReferenceArray(int length) {
     return new AtomicReferenceArray<>(length);
   }
 
@@ -67,7 +64,7 @@ public final class Atomics {
    * @param array the array to copy elements from
    * @return a new {@code AtomicReferenceArray} copied from the given array
    */
-  public static <E extends @Nullable Object> AtomicReferenceArray<E> newReferenceArray(E[] array) {
+  public static <E extends Object> AtomicReferenceArray<E> newReferenceArray(E[] array) {
     return new AtomicReferenceArray<>(array);
   }
 }
diff --git a/guava/src/com/google/common/util/concurrent/Callables.java b/guava/src/com/google/common/util/concurrent/Callables.java
index 47b5264..b6c0f91 100644
--- a/guava/src/com/google/common/util/concurrent/Callables.java
+++ b/guava/src/com/google/common/util/concurrent/Callables.java
@@ -16,12 +16,8 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Supplier;
 import java.util.concurrent.Callable;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Static utility methods pertaining to the {@link Callable} interface.
@@ -29,13 +25,12 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Isaac Shum
  * @since 1.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public final class Callables {
   private Callables() {}
 
   /** Creates a {@code Callable} which immediately returns a preset value each time it is called. */
-  public static <T extends @Nullable Object> Callable<T> returning(
+  public static <T extends Object> Callable<T> returning(
       @ParametricNullness final T value) {
     return new Callable<T>() {
       @Override
@@ -54,9 +49,7 @@ public final class Callables {
    *
    * @since 20.0
    */
-  @Beta
-  @GwtIncompatible
-  public static <T extends @Nullable Object> AsyncCallable<T> asAsyncCallable(
+  public static <T extends Object> AsyncCallable<T> asAsyncCallable(
       final Callable<T> callable, final ListeningExecutorService listeningExecutorService) {
     checkNotNull(callable);
     checkNotNull(listeningExecutorService);
@@ -76,8 +69,8 @@ public final class Callables {
    * @param nameSupplier The supplier of thread names, {@link Supplier#get get} will be called once
    *     for each invocation of the wrapped callable.
    */
-  @GwtIncompatible // threads
-  static <T extends @Nullable Object> Callable<T> threadRenaming(
+  // threads
+  static <T extends Object> Callable<T> threadRenaming(
       final Callable<T> callable, final Supplier<String> nameSupplier) {
     checkNotNull(nameSupplier);
     checkNotNull(callable);
@@ -107,7 +100,7 @@ public final class Callables {
    * @param nameSupplier The supplier of thread names, {@link Supplier#get get} will be called once
    *     for each invocation of the wrapped callable.
    */
-  @GwtIncompatible // threads
+  // threads
   static Runnable threadRenaming(final Runnable task, final Supplier<String> nameSupplier) {
     checkNotNull(nameSupplier);
     checkNotNull(task);
@@ -129,7 +122,7 @@ public final class Callables {
   }
 
   /** Tries to set name of the given {@link Thread}, returns true if successful. */
-  @GwtIncompatible // threads
+  // threads
   private static boolean trySetName(final String threadName, Thread currentThread) {
     /*
      * setName should usually succeed, but the security manager can prohibit it. Is there a way to
